package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.SysRegion;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 地区列Mapper接口
 *
 * @author flossom
 * @date 2023-12-12
 */
public interface SysRegionMapper {
    /**
     * 查询地区列
     *
     * @param id 地区列主键
     * @return 地区列
     */
    public SysRegion selectSysRegionById(Long id);

    /**
     * 查询地区列列表
     *
     * @param sysRegion 地区列
     * @return 地区列集合
     */
    public List<SysRegion> selectSysRegionList(SysRegion sysRegion);

    /**
     * 新增地区列
     *
     * @param sysRegion 地区列
     * @return 结果
     */
    public int insertSysRegion(SysRegion sysRegion);

    /**
     * 修改地区列
     *
     * @param sysRegion 地区列
     * @return 结果
     */
    public int updateSysRegion(SysRegion sysRegion);

    /**
     * 删除地区列
     *
     * @param id 地区列主键
     * @return 结果
     */
    public int deleteSysRegionById(Long id);

    /**
     * 批量删除地区列
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysRegionByIds(Long[] ids);

    List<SysRegion> selectSysAreaByPid(@Param("pid") Integer pid);
}
